Skocz do zawartości
Pecetowicz Forum komputerowe

Gdzie znajdę zaktualizowane style pod 1.12.9 phpBB2 by Przemo?


Rekomendowane odpowiedzi

Witam, mam pytanie czy znajde style zaaktualizowane do 1.12.9 phpBB2 by Przemo bo nie działaja te z 1.12.8 a wersja 1.12.8 ma pytajniki i ciezko jest mi je usunac a wrecz nie realne ;p, pomoże ktoś lub jest jakis download to tych styli zaaktualizowanych 

Odnośnik do odpowiedzi
Udostępnij na innych stronach
  • Ekspert

"W przypadku aktualizacji, będziemy musieli edytować 10 plików, oraz usunąć 59 plików."

Czy ja wiem, czy tak dużo? 😛

Przemuś, to już raczej odszedł do lamusa, więc zapewne pozostaje tylko aktualizowanie tego, co się da.

  • Lubię to! 1
Odnośnik do odpowiedzi
Udostępnij na innych stronach
  • Założyciel

Szablony z 1.12.8 powinny działać na 1.12.9, po lekkiej modyfikacji kilku plików. Trzeba usunąć moduły jak Album czy Portal.

phpBB2 to przeżytek, kod pisany był ostatni raz w 2005 roku bodajże. Przemek, autor modyfikacji dawno porzucił projekt. Wersja 1.12.9 to pomyłka, wydawana bez ingerencji Przemo i w pośpiechu.

Zobacz temat: Czy phpBB2 by Przemo w 2019 roku ma sens? Sentyment do skryptu

Za kilka lat jak dostawcy hostingowi przestaną wspierać PHP 5.x i skrypt całkowicie przestanie działać, bo nie jest zaktualizowany i nie działa na nowszej wersji PHP.

Radziłbym każdemu przenieść się na phpBB3 czy MyBB. W tym roku, odpłatnie wykonałem kilka konwersji do phpBB3.

Co prawda powstał taki twór jak phpBB2 Turbo który wspiera UTF-8 i PHP 7, ale przenoszenie z phpBB2 by Przemo wymaga modyfikacji plików. Dodatkowo to twór eksperymentalny i nikt nie udzieli ci wsparcia w jego zakresie.

@irekk również podjął próbę ożywienia skryptu, więcej informacji w tym temacie. Jako że robi to hobbistycznie i sam, to od grudnia jednak brak nowych informacji na jakim etapie są prace.

Z tego co pisał planował / planuje wydać jeszcze 5 gałęzi 1.12.x a następnie przejść na nową gałąź 1.13.0 lub 2.0.0.

  • Lubię to! 3
Odnośnik do odpowiedzi
Udostępnij na innych stronach
  • Założyciel

Powinny działać do wersji 1.12.x. 

Od wersji 1.13.0 albo 2.0.0 irekk ma przepisać szablon na TWIG.

Odnośnik do odpowiedzi
Udostępnij na innych stronach

Problem wciąż nierozwiązany? Dodaj swoją odpowiedź

Jeśli chcesz dodać odpowiedź, zaloguj się lub zarejestruj nowe konto. Jedynie zarejestrowani użytkownicy mogą komentować zawartość tej strony.

Zarejestruj nowe konto

Załóż nowe konto. To bardzo proste!

Zarejestruj się

Zaloguj się

Posiadasz już konto? Zaloguj się poniżej.

Zaloguj się
×
×
  • Dodaj nową pozycję...